@charset "UTF-8";
html{
  scroll-behavior: smooth;
}

.header{
    position: fixed;
    top: 20px;
    left:0;
    right: 0;
    width:100%;
    background: transparent;
    z-index: 10;
}

@media screen and (max-width: 768px) {
  .header{
    top: 0;
  }
}

.header-inner {
    width: 90%;
    margin:0 auto;
    padding:16px 24px;
    display:flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255, 255, 255, 0.7); 
    backdrop-filter: blur(10px);        
    box-shadow: 0 10px 30px rgba(0,0,0,0.08);
}

@media screen and (max-width: 768px) {
  .header-inner {
    top: 10px;
    position: fixed;
    width: calc(100% - 32px);
    padding: 12px 16px;
    left: 0;
    right: 0;
  }

}

.header-title{
    font-size: 24px;
    font-weight: bold;
    color:#333333;
}

 @media screen and (max-width: 768px) {
  .header-title{
    font-size: 18px;
  }
}

.header-ul{
    display: flex;
    gap:24px;
    justify-content: space-between;
}

/* ハンバーガーは非表示 */
.hamburger {
  display: none;
}

/* ナビは表示 */
.nav{
   display: flex;
   justify-content: space-between;
   gap:24px;
}

@media screen and (max-width: 768px) {

  /* ハンバーガーは表示 */
.hamburger {
    position: relative;
    width: 30px;
    height: 22px;
    justify-content: center;
    align-items: center;
    z-index: 1100; /* navより前に出す */
    display: flex;
    flex-direction: column;
    gap: 6px;
    background: none;
    border: none;
    cursor: pointer;
}

  /* ナビは非表示 */
.nav { 
    height: 97vh;
    position: fixed;
    inset: 0;
    background: #f9f9f4; /* 生成り */
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
    opacity:0;
    visibility: hidden;
    transition: opacity 0.4s ease;
    z-index: -1;
  }

  /* 開いたとき */
  .nav.active{
    opacity:1;
    visibility: visible;
  }

  body.menu-open::after {
    opacity: 1;
    pointer-events: auto;
  }

   .header-li:last-child .header-link {
    margin-top: 24px;
    padding: 14px 48px;
    background: #8F6140;
    color: #fff;
    border-radius: 999px;
  }
}


.hamburger span{
  width: 24px;
  height: 2px;
  background: #333;
  transition: all 0.3s ease;
}

/* 1本目 */
.hamburger.active span:nth-child(1){
  transform: translateY(8px) rotate(45deg);
}

/* 2本目（消す） */
.hamburger.active span:nth-child(2){
  opacity: 0;
}

/* 3本目 */
.hamburger.active span:nth-child(3){
  transform: translateY(-8px) rotate(-45deg);
}

/* overlay */
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0,0,0,0.4);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  z-index: -1;
}

/* メニューが開いたら表示 */
.overlay.active {
  opacity: 1;
  visibility: visible;
}



.header-link{
    padding:10px 20px;
    text-decoration: none;
    color:#333333;
    font-size: 16px;
    text-align: center;
}

@media screen and (max-width: 768px) {
  .header-ul{
    flex-direction: column;
    align-items: center;
    gap:40px;
  }
}

.firstview{
    height: 100vh;
    width: 100%;
    background-size: cover;
    background-position: center;
    display:flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: relative;
    overflow: hidden;
}

    @media screen and (max-width: 768px) {
    .firstview{
    position: relative;
    height: 100vh;
    }
}

.slide{
    position: absolute;
    inset: 0;
    z-index: 0;
}

.slide-list{
    position: relative;
    width: 100%;
    height: 100%;
}

.slide-item{
    position: absolute;
    inset: 0;
    opacity: 0;
    animation: slider 10s infinite;
}

.slide-item:nth-child(1){
    animation-delay: 0s;
}

.slide-item:nth-child(2){
    animation-delay: 5s;
}

.slide-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@keyframes slider {
  0%   { opacity: 0; }
  20%  { opacity: 1; }
  50%  { opacity: 1; }
  70%  { opacity: 0; }
  100% { opacity: 0; }
}

.wrapper{
    max-width: 1200px;
    margin: auto;
    padding-top: 80px;
    padding-bottom: 80px;
}

@media screen and (max-width: 768px) {
  .wrapper{
    padding-top: 60px;
    padding-bottom: 60px;
    padding-left: 16px;
    padding-right: 16px;
  }
}


.firstview-inner{
    position: relative;
    z-index: 1;
}

.firstview::before{
    width: 100%;
    height: 100%;
    content: "";
    position: absolute;
    z-index: 0;
    background: rgba(255,255,255,0.2);
}

.firstview-title{
    font-size: 84px;
    font-family: "Rubik Mono One", sans-serif;
    color: #333333;
    -webkit-text-stroke: 11px #ffffff;
    letter-spacing: 0.1em;
    paint-order: stroke;
}

@media screen and (max-width: 768px) {
  .firstview-title{
    font-size: 54px;
  }
}

 @media screen and (max-width: 768px) {
   .firstview-title::after {
    display: block;
    margin-top: 8px;
  }
  }


.firstview-text{
    margin-top: 16px;
    font-size: 44px;
    font-weight: normal;
    font-family: "Rubik Mono One", sans-serif;
    color: #333333;
    -webkit-text-stroke: 8px #ffffff;
    paint-order: stroke;
}

  @media screen and (max-width: 768px) { 
    .firstview-text{
    font-size: 24px;
    -webkit-text-stroke:5px #ffffff;
    font-weight: 600;
  }
}

.section-title{
    font-size: 40px;
    font-weight:bold;
    text-align: center;
    max-width: 1200px;
    margin: 0 auto 100px;
}

@media screen and (max-width: 768px) {
  .section-title{
    font-size: 28px;
    margin-bottom: 60px;
    padding-top: 40px;
  }
}

.works {
  background: #faf9f5;
  text-align: center;
}

.works-title {
  font-size: 32px;
  margin-bottom: 40px;
}

.works-swiper {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto 40px;
}

.works-swiper .swiper-button-prev, 
  .works-swiper .swiper-button-next{
    color: #8F6140;
  }

.swiper-navigation-icon{
    display: none;
  }

.swiper-slide {
  background: #fff;
}

.swiper-slide img {
  width: 100%;
  display: block;
}

.work-text {
  padding: 12px 0;
  font-size: 14px;
}

/* 矢印を外側に */
.swiper-button-prev,
.swiper-button-next {
  color: #333;
}

.btn-container{
    text-align: center;
    margin-top: 40px;
}

.btn{
    display: inline-block;
    background-color: #8F6140;
    color:#ffffff;
    padding: 18px 36px;
    text-decoration: none;
    border-radius: 25px;
    transition: 0.3s;
}

.btn-container{
  display: flex;
  justify-content: center;  
}

.btn-container input.btn{
  background-color: #8F6140;
  height: 50px;              
  padding: 0 36px;  
  border-radius: 25px;
  max-width: 200px;
  margin: 0 auto;
  display: flex;             
  align-items: center;       
  justify-content: center; 
  transition: 0.3s;
}

  @media screen and (max-width: 768px) {
    .btn{
    width: auto;
    padding: 16px 32px;
    text-align: center;
  }
}

.btn:hover{
    opacity:0.8;
}

.service-title{
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 12px;
}

@media screen and (max-width: 768px) {
  .service-title{
    font-size: 20px;
  }

}

.service-text{
    font-size: 18px;
    line-height: 1.8;
    text-align: left; 

    @media screen and (max-width: 768px) {
    font-size: 14px;
  }
}

.service-grid{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
    max-width:1100px;
    margin:0 auto;
}

    @media screen and (max-width: 768px) {
      .service-grid{
        max-width: 400px;
    grid-template-columns: 1fr;
    gap: 24px;
  }
}

.service-item{
    background-color: #F4EAEA;
    padding: 16px 24px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    text-align: center; 
}

.service-item img{
    width: 100%;
    max-width: 280px;
    margin:0 auto 24px;
}

.about{
    max-width: 1200px;
    margin: 0 auto 100px;
}

@media screen and (max-width: 768px) {
  .about{
    margin-bottom: 60px;
  }
}

.about-inner{
    margin:0 auto;
    display: flex;
    justify-content: center;
    gap: 80px;
    align-items: center;
}

  @media screen and (max-width: 768px) {
  .about-inner{
    flex-direction: column;
    gap: 32px;
    text-align: center;
  }
}

.about-image{
    width:220px;
    height:220px;
    position: relative;
    background-color: #F4EAEA;
    border-radius: 50%;
    align-items: center;
    flex-shrink: 0;
}

@media screen and (max-width: 768px) {
  .about-image{
    position: relative;
    width: 160px;
    height: 160px;
    text-align: center;
  }
}

.about-image img{
  position: absolute;
    width: 200px;
    height: auto;
    
    bottom:0;
    left:50%;
    transform: translateX(-50%);
}

@media screen and (max-width: 768px) {
  .about-image img{
    position :absolute;
    width: 140px;
    height:auto;
    text-align: center;
  }
}

.about-content{
    flex: 1;
    text-align: left;
}

 @media screen and (max-width: 768px) {
      .about-content{
    text-align: left;
  }
}

.about-title{
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 8px;
}

.about-text {
    line-height: 1.8;
}

.contact{
    background-color: #FDFFFA;
    padding: 0 20px;
    text-align: center;
}

  

.contact form {
    max-width: 800px;
    margin: 40px auto 0;
    padding: 0 20px;
    text-align: left;
}

  @media screen and (max-width: 768px) {
    .contact form {
    padding: 0;
  }

}

.contact p{
    line-height: 1.8;
    max-width: 800px;
    margin: 0 auto 10px;
    text-align: left;
}

@media screen and (max-width: 768px) {
  .contact p{
    font-size: 14px;
  }
}

.contact dt {
    margin-bottom: 10px;
    font-weight: bold;
}

.required{
    background-color: #D48A6B;
    color:#ffffff;
    font-size: 10px;
    padding:2px 8px;
    border-radius: 2px;
    margin-left: 10px;
    vertical-align: middle;
}

.contact dd {
    margin-left: 0;
    margin-bottom: 30px;
}

.contact input,
.contact textarea{
    width: 100%;
    height:40px;
    border: none;
    background-color: #F4EAEA; /* 入力欄の背景色 */
    padding: 15px;
    border-radius: 4px;
    box-sizing: border-box; 
}
.contact textarea{
  height: 150px;
}
@media screen and (max-width: 768px) {
.contact input,
.contact textarea{
    font-size: 16px; /* iPhoneズーム防止 */
  }
}

#textarea{
    height: 223px;
}

.footer{
    width: 100%;
    line-height: 1.6;
    background-color: #D58A6A;
    color:#ffffff;
    text-align: center;
    padding: 15px 0;
    font-size: 14px;
}












